Subject: Re: bug#26037: 25.1; perl-mode add syntax support for subroutine signatures
From: Evgeni Kolev <[email-masked]>
To: [email-masked]
Date: Tue, 14 Mar 2017 14:14:58 +0200

Hi, thanks for your reply!

The '$' inside 'sub ($)' should be treated as punctuation (or symbol,
sorry, I'm not 100% sure, see below) due to the "@" syntax class - if
I'm not mistaken, "@" will let the syntax "fall-through" to the
standard syntax table; the standard syntax table, in turn, should
define '$' and other perl sigils as punctuation.

However, I'm not sure how to verify that the '$' in 'sub ($)' is
punctuation or symbol.

I'm using this document for reference to syntax classes:
https://www.gnu.org/software/emacs/manual/html_node/elisp/Syntax-Class-Table.html